%{?nodejs_find_provides_and_requires}

%global packagename process
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 0.11.9
Release: 1%{?dist}.3
Summary: Process information for node.js and browsers
License: MIT
URL: UNKNOWN
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(mocha) >= 2.2.1
BuildRequires: npm(mocha) < 3.0.0
%endif

%description
Process information for node.js and browsers.


%prep
%setup -q -n package
%nodejs_fixdep --dev mocha '^2.2.1'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mocha test.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Sep 26 2016 Oleg Girko <ol@infoserver.lv> - 0.11.9-1
- Initial package.
